html {
  scroll-behavior: smooth;
}
:root {
  --fontPrimary: "Playfair Display", serif;
  --fontSecondary: "Roboto", sans-serif;
  --fontLogo: "PT Serif", serif;
  --buttonTextColor: #8e32c6;
  --footerBackgroundColor: #021635;
  --headerBackgroundColor: #012d63;
  --primaryTextColor: #ffffff;
  --colorTextAccent: #c7c7c7;
}
body {
  font-family: var(--fontPrimary);
  font-weight: 400;
  color: var(--primaryTextColor);
  height: 2868px;
}
.container {
  max-width: 1440px;
  margin: 0 auto;
  padding: 0 20px;
}
/* ----header---- */
.header {
  background-color: var(--headerBackgroundColor);
  font-family: var(--fontSecondary);
  font-size: 24px;
  color: var(--primaryTextColor);
  position: fixed;
  top: 0;
  left: 0;
  min-height: 90px;
  width: 100%;
  z-index: 10;
}
.header-container {
  display: flex;
  align-items: center;
  justify-content: space-between;
  height: 90px;
}
.nav-list {
  display: flex;
  align-items: center;
  justify-content: space-between;
}
.nav-item {
  padding-right: 29px;
  padding-left: 29px;
  font-size: 24px;
  transition-property: transform, opacity;
  transition-duration: 0.3s;
  transition-timing-function: ease-in-out;
  cursor: pointer;
}
.nav-item:hover {
  transform: translateY(-3px);
  opacity: 0.8;
}

.header-language {
  display: flex;
  align-items: center;
  justify-content: space-around;
}
.language-item {
  padding-right: 10px;
  padding-left: 10px;
  transition-property: transform, opacity;
  transition-duration: 0.3s;
  transition-timing-function: ease-in-out;
  cursor: pointer;
}
.language-item:hover {
  transform: translateY(-3px);
  opacity: 0.8;
}
.main {
  color: var(--primaryTextColor);
  background-color: black;
}

/* ----hero---- */
.hero {
  font-family: var(--fontPrimary);
  background-image: url(../images/backgroundsneaker.webp);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  height: 858px;
  padding-bottom: 183px;
}
.hero-logo {
  margin-top: 94px;
}
.hero-logo-part {
  font-family: var(--fontLogo);
  font-size: 48px;
  line-height: 64px;
  margin-top: -38px;
  padding-left: 25px;
}
.hero-title {
  font-size: 144px;
  line-height: 192px;
}
.hero-subtitle {
  font-size: 72px;
  line-height: 96px;
  margin-top: -30px;
}
.hero-text {
  font-family: var(--fontSecondary);
  font-size: 18px;
  line-height: 21px;
  display: flex;
  flex-wrap: wrap;
  width: 508px;
  margin: 21px 0;
  margin-top: 12px;
}
.hero-button {
  height: 67px;
  width: 254px;
  font-family: var(--fontSecondary);
  font-size: 24px;
  margin-top: 41px;
  color: var(--primaryTextColor);
  background-color: #8e32c6;
  line-height: 28px;
  border-radius: 10px;
  padding: 19px 45px;
  border-color: #8e32c6;
  cursor: pointer;
  transition-property: transform, box-shadow;
  transition-duration: 0.3s;
  transition-timing-function: ease-in-out;
  border: 1px solid black;
  box-shadow: 0 0 0 0 black;
}
.hero-button:hover {
  transform: translateY(-4px) translateX(-2px);
  box-shadow: 2px 5px 0 0 black;
}
.hero-button:active {
  transform: translateY(2px) translateX(1px);
  box-shadow: 0 0 0 0 black;
}
.benefits {
  font-family: var(--fontPrimary);
  font-size: 36px;
  line-height: 48px;
  padding-top: 130px;
  padding-bottom: 130px;
  background-image: url(../images/backgroundgradient1.webp);
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  border-bottom: 3px solid white;
  border-top: none;
  border-left: none;
  border-right: none;
}
.benefits::after {
  content: "";
  background-image: url(../images/frame.svg);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}
.benefits-list {
  display: flex;
  justify-content: space-between;
  border-color: #8e32c6;
  border: 5px solid #8e32c6;
  border-radius: 8px;
  box-sizing: border-box;
  position: relative;
  padding: 89px 89px 89px 89px;
  border-radius: 0;
}
.benefits-item {
  height: 240px;
}
.benefits-title {
  width: 350px;
  display: flex;
  flex-wrap: wrap;
}
/* .benefits-title:nth-child(2)::before {
  content: "";
  height: 346px;
  width: 1px;
  background-color: var(--primaryTextColor);
}
.benefits-title:nth-child(3) {
  content: "";
  height: 346px;
  width: 1px;
  background-color: var(--primaryTextColor);
} */
/* ----reviews---- */
.reviews {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  width: 100vw;
  margin-left: calc(50% - 50vw);
  padding-top: 25px;
  background-image: url(../images/backgroundgradient2.webp);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
  height: 560px;
  border-bottom: 3px solid white;
}

.reviews::after {
  content: "";
  background-image: url(../images/flowers.webp);
  background-position: bottom left;
  background-repeat: no-repeat;
}
.reviews-list {
  display: flex;
  justify-content: space-around;
  padding-top: 24px;
}
.reviews-title {
  font-family: var(--fontPrimary);
  font-size: 48px;
  line-height: 64px;
  display: flex;
  justify-content: center;
  color: #fff;
  margin-bottom: 20px;
}
.review-card {
  border-radius: 15px;
  padding: 10px 10px 65px 10px;
  max-width: 255px;
  height: 292px;
  margin: 0 56px;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  padding: 20px;
  color: #fff;
  transition: transform 0.3s ease;
}
.review-card1 {
  box-shadow: 0 14px 0 -5px #7b54b2, 0 30px 0 -13px #533978;
  background: linear-gradient(
    135deg,
    #00e5e6 7.29%,
    #00a8f7 26.04%,
    #9a76f9 62.5%,
    #cc5ec2 100%
  );
}
.review-card2 {
  box-shadow: 0 14px 0 -5px #9159b1, 0 30px 0 -13px #61337c;
  background-image: linear-gradient(
    135deg,
    #ff68b4 0%,
    #ff45e1 26.04%,
    #ce3aff 62.84%,
    #8961ff 100%
  );
}
.review-card3 {
  box-shadow: 0 14px 0 -5px #b95a4c, 0 30px 0 -13px #732f26;
  background: linear-gradient(
    135deg,
    #ffe128 0%,
    #ff9b5c 30.21%,
    #ff8381 63.29%,
    #ff5489 100%
  );
}
.review-text {
  font-family: var(--fontSecondary);
  font-size: 16px;
  line-height: 24px;
  color: white;
  font-size: 23px;
  padding-top: 7px;
}
.review-date,
.review-name,
.review-info-date {
  font-family: var(--fontSecondary);
  font-size: 14px;
  color: var(--colorTextAccent);
  line-height: 16px;
}
.review-date {
  margin-top: 30px;
}
.review-info-date {
  font-size: 12px;
  line-height: 14px;
  color: var(--colorTextAccent);
}

.review-text {
  flex-grow: 1;
  font-family: var(--fontSecondary);
  font-size: 23px;
  line-height: 24px;
  color: white;
  margin-bottom: 10px;
}

.review-date {
  font-family: var(--fontSecondary);
  font-size: 14px;
  color: var(--colorTextAccent);
  line-height: 16px;
  display: block;
}

.review-bottom {
  display: flex;
  align-items: center;
  margin-top: auto;
}

.review-bottom img {
  width: 50px;
  height: 50px;
  border-radius: 50%;
  object-fit: cover;
  margin-right: 12px;
}

/* ----order---- */

.order {
  display: flex;
  align-items: center;
  flex-direction: column;
  height: 509px;
  background-image: url(../images/backgroundgradient3.webp);
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.order-title {
  font-size: 48px;
  line-height: 64px;
  font-family: var(--fontPrimary);
  display: flex;
  justify-content: center;
  margin-bottom: 33px;
  margin-top: 21px;
}

.order-form {
  display: flex;
  align-items: center;
  flex-direction: column;
  gap: 19px;
  font-family: var(--fontSecondary);
}

.email-row {
  position: relative;
  width: 900px;
}

.input-email {
  width: 100%;
  height: 60px;
  border-radius: 50px;
  padding-right: 140px;
}

.confirm-btn {
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
  height: 44px;
  width: 120px;
  font-size: 16px;
  color: #808080;
  background: none;
  border: none;
  font-size: 25px;
}
.input {
  border-radius: 50px;
  font-size: 28px;
  color: #959595;
  transition-property: box-shadow;
  transition-duration: 0.5s;
  transition-timing-function: ease-in-out;
  cursor: text;
  z-index: 0;
  box-shadow: 0 0 0 1.5px #2b2c37, 0 0 25px -17px #000;
  border: 0;
}
.input:hover {
  box-shadow: 0 0 0 2.5px #2f303d, 0px 0px 25px -15px #000;
}
.input::placeholder {
  color: #959595;
}
.input:active {
  transform: scale(0.95);
}
.input:focus {
  box-shadow: 0 0 0 2.5px #2f303d;
}
.input-country {
  width: 580px;
  height: 50px;
}

.input-city {
  width: 580px;
  height: 50px;
}

.input-address {
  width: 580px;
  height: 50px;
}

.order-btn {
  font-family: var(--fontSecondary);
  font-size: 24px;
  color: var(--primaryTextColor);
  background-color: #8e32c6;
  line-height: 28px;
  border-radius: 16px;
  width: 248px;
  height: 68px;
  text-decoration: none;
  border-color: #8e32c6;
  cursor: pointer;
  transition-property: transform, box-shadow;
  transition-duration: 0.3s;
  transition-timing-function: ease-in-out;
  border: 1px solid black;
  box-shadow: 0 0 0 0 black;
}
.order-btn:hover {
  transform: translateY(-4px) translateX(-2px);
  box-shadow: 2px 5px 0 0 black;
}
.order-btn:active {
  transform: translateY(2px) translateX(1px);
  box-shadow: 0 0 0 0 black;
}
.footer {
  background-color: var(--footerBackgroundColor);
  color: var(--primaryTextColor);
  font-family: var(--fontSecondary);
  color: #ffffff;
  padding: 20px;
  text-align: left;
  font-family: Arial, sans-serif;
  background-size: cover;
  background-position: center;
  position: relative;
}

.footer h4 {
  margin: 0;
  font-size: 16px;
}

.footer a {
  text-decoration: none;
}

.footer a:hover {
  text-decoration: underline;
}

.footer .contact-info {
  margin-top: 10px;
}

.footer hr {
  border: none;
  border-top: 1px solid #444;
  margin: 20px 0;
}

.footer .rights {
  font-size: 12px;
  margin-top: 10px;
}

.footer-container {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: auto 1px auto auto;
  grid-row-gap: 10px;
  max-width: 1200px;
  margin: 0 auto;
  position: relative;
}

.footer-questions-list {
  grid-column: 1;
  grid-row: 1;
  padding: 45px 0 0 20px;
  color: #ffffff !important;
  text-decoration: none;
  font-size: 28px;
  font-weight: normal;
}

.footer-media-list {
  grid-column: 2;
  grid-row: 1;
  padding: 45px 20px 0 0;
  text-align: right;
  list-style: none;
  font-size: 25px;
  text-decoration: white;
}

.footer-container::after {
  content: "";
  grid-column: 1 / -1;
  grid-row: 2;
  background-color: #ffffff;
  height: 3px;
}

.footer-info-text1 {
  grid-column: 1;
  grid-row: 3;
  padding-left: 20px;
  font-size: 18px;
}

.footer-info-text2 {
  grid-column: 1;
  grid-row: 4;
  padding-left: 20px;
  font-size: 18px;
  margin-bottom: 10px;
}

.footer-logo {
  grid-column: 2;
  grid-row: 3;
  justify-self: end;
  margin-right: 20px;
}

.footer-logo-part {
  grid-column: 2;
  grid-row: 4;
  justify-self: end;
  margin-right: 20px;
  font-family: var(--fontLogo);
  font-size: 24px;
  margin-top: -30px;
  padding-right: 29px;
}
